<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
    <h1>#{absXDSI69Manager.getTheNameOfThePage()}</h1>
    <h:form id="globalForm">
        <a4j:queue requestDelay="300" ignoreDupResponses="true"/>

        #{absXDSI69Manager.init()}
        <a4j:region>
            <s:div id="globalDiv">
                <gri:panel id="mainPanel">
                    <f:facet name="header">#{absXDSI69Manager.getTheNameOfThePage()}</f:facet>
                    <s:div
                            rendered="#{absXDSI69Manager.selectedAffinityDomain!= null and absXDSI69Manager.selectedTransaction!= null}">
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xdstar.ThisToolProvidesThePossibilityToCreateAValidRequ']} "/>
                        <h:outputText value="#{absXDSI69Manager.selectedTransaction.keyword}"/>
                        <br/>
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xdstar.TheRequestGeneratedAllowToRetrieveADICOMDocument']}"/>
                        <br/>
                        <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveTo']} "/>
                        <br/>
                        <ul>
                            <li>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.xdstar.SelectYourResponderConfigurationOrAddANewOneOnTh']} "/>
                                <h:outputLink value="/XDStarClient/configuration/common/configurations.seam"
                                              title="#{messages['net.ihe.gazelle.xdstar.XDSRespondersConfigurations']}">
                                    #{messages['net.ihe.gazelle.xdstar.Configurations']}
                                </h:outputLink>
                                <h:outputText value=". "/>
                            </li>
                            <li>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.xdstar.FulfilMetadatasOfTheRequestForEachDocumentYouAre']}"/>
                            </li>
                            <li>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.xdstar.ClickOnTheButtonexecuteToRetrieveDocuments']}"/>
                            </li>
                        </ul>
                    </s:div>
                    <ui:include src="/simu/header.xhtml">
                        <ui:param name="divToRerender"
                                  value="messageConfigurationDiv"/>
                        <ui:param name="simuManager" value="#{absXDSI69Manager}"/>
                        <ui:param name="diagramFile" value="#{pic}"/>
                        <ui:param name="sourceID"
                                  value="#{oid.getSourceOid(absXDSI69Manager.selectedAffinityDomain.keyword)}"/>
                        <ui:param name="simulatorConfigurationName" value="#{simName}"/>
                        <ui:param name="displaySourceId" value="#{false}"/>
                        <ui:param name="displayhomeCommunityId" value="#{false}"/>
                    </ui:include>
                    <!-- MESSAGE CONFIGURATION -->
                    <s:div id="messageConfigurationDiv">
                        <gri:panel rendered="#{absXDSI69Manager.selectedConfiguration != null}" id="panelmeta">
                            <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.XDSMetadatas']}</f:facet>
                            <rich:panel styleClass="gzl-alert gzl-alert-blue">
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.xdstar.ClickOnTheNodeToEditOrToSeeTheObjectContent']}"/>
                            </rich:panel>
                            <a4j:commandButton oncomplete="jq162('#UploadManifestMP').modal('show');"
                                               styleClass="gzl-btn-green"
                                               value="#{messages['net.ihe.gazelle.xdstar.GenerateRequestFromKOSManifest']}"
                                               render="UploadManifestMPForm,UploadManifestMP"/>
                            <table style="width: 100%;">
                                <tr valign="top">
                                    <td width="25%" valign="top">
                                        <ui:include src="rad69_tree.xhtml"/>
                                    </td>
                                    <td width="75%">
                                        <a4j:outputPanel ajaxRendered="true" layout="block">
                                            <s:div id="metadata_id">
                                                <s:div rendered="#{absXDSI69Manager.editDocumentRequest}">
                                                    <ui:include src="edit_doc.xhtml"/>
                                                </s:div>
                                                <s:div rendered="#{absXDSI69Manager.editStudyRequest}">
                                                    <ui:include src="edit_study.xhtml"/>
                                                </s:div>
                                                <s:div rendered="#{absXDSI69Manager.editSeriesRequest}">
                                                    <ui:include src="edit_series.xhtml"/>
                                                </s:div>
                                                <s:div rendered="#{absXDSI69Manager.editRetrieveImagingDocumentSet}">
                                                    <ui:include src="edit_ret.xhtml"/>
                                                </s:div>
                                            </s:div>
                                        </a4j:outputPanel>
                                    </td>
                                </tr>
                            </table>
                        </gri:panel>
                        <br/>
                        <a4j:commandButton id="previewButton" styleClass="gzl-btn-blue"
                                           rendered="#{absXDSI69Manager.selectedConfiguration != null}"
                                           oncomplete="jq162('#previewMessagePanelIHE').modal('show');"
                                           value="#{messages['net.ihe.gazelle.xdstar.Preview']}"
                                           render="previewForm,messagesDiv"/>
                        <a4j:commandButton rendered="#{absXDSI69Manager.selectedConfiguration != null}"
                                           styleClass="gzl-btn-green"
                                           value="#{messages['gazelle.xdrsrc.Execute']}"
                                           actionListener="#{absXDSI69Manager.sendMessage()}" render="messagesDiv"/>
                        <br/>
                        <br/>
                        <s:div id="messagesDiv">
                            <gri:panel id="messagePanel" rendered="#{absXDSI69Manager.displayResultPanel == true}">
                                <f:facet name="header">#{messages['gazelle.xdrsrc.executionSummary']}</f:facet>
                                #{allMessageManagerBean.listMessagesToDisplay()}
                                <ui:include src="/messages/messageTable.xhtml">
                                    <ui:param name="messageManagerBean" value="#{allMessageManagerBean}"/>
                                </ui:include>
                            </gri:panel>
                        </s:div>
                    </s:div>
                </gri:panel>
            </s:div>
        </a4j:region>
    </h:form>
    <h:form id="UploadManifestMPForm">
        <gri:popupPanel id="UploadManifestMP" domElementAttachment="form">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.GenerateRequestFromKOSManifest']}"/>
            </f:facet>
            <f:facet name="footer">
                <div align="right">
                    <a4j:commandButton oncomplete="jq162('#UploadManifestMP').modal('hide');" styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}" execute="@this"/>
                    <a4j:commandButton oncomplete="jq162('#UploadManifestMP').modal('hide');" styleClass="gzl-btn-green"
                                       action="#{absXDSI69Manager.generateRequestFromManifest()}"
                                       value="#{messages['net.ihe.gazelle.xdstar.GenerateTheRequest']}"
                                       render="messageConfigurationDiv,treereRender"/>
                </div>
            </f:facet>
            <rich:fileUpload fileUploadListener="#{absXDSI69Manager.uploadListener}" immediateUpload="true"
                             maxFilesQuantity="1" listHeight="90px"/>
        </gri:popupPanel>
    </h:form>
    <gri:popupPanel id="validation_result" width="800" height="450">
        <f:facet name="header">
            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ValidationResult']}"/>
        </f:facet>
        <f:facet name="footer">
            <div align="right">
                <a4j:commandButton oncomplete="jq162('#validation_result').modal('hide');" styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}" execute="@this"/>
            </div>
        </f:facet>
        <h:outputText value="#{absXDSI69Manager.validationResult}" escape="false"/>
    </gri:popupPanel>
    <h:form id="previewForm">
        <gri:popupPanel id="previewMessagePanelIHE" styleClass="modal-lg">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.MessagePreview']}"/>
            </f:facet>
            <f:facet name="footer">
                <div align="right">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                       onclick="jq162('#previewMessagePanelIHE').modal('hide')"
                                       execute="@this"/>
                </div>
            </f:facet>
            <s:div rendered="#{absXDSI69Manager.selectedConfiguration != null}"
                   style="overflow: auto; width: 880px; height: 470px;">
                <gdk:insert content="#{absXDSI69Manager.previewMessage()}" highlight="xml"/>
            </s:div>
        </gri:popupPanel>
    </h:form>
</ui:composition>
